%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%                    LATEXtools                         %%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%  This  file  is  free software ;  it  is distributed  in  %
%%  the hope that  it  will  be  useful,  but  without  any  %
%%  warranty.  You  can  redistribute  it and/or modify  it  %
%%  under  the  terms  of  the  GNU  General Public License  %
%%  as  published  by  the   Free  Software  Foundation  at  %
%%       http://www.gnu.org/copyleft/gpl.html                %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% add_vessel.m (Matlab script)
%% 
%% Plots the vessel position and direction on lagrangian navigation figure
%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% 08/02/13 : andrea.doglioli@univ-amu.fr : first official release
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function [] = add_vessel(lon_boat_new,lat_boat_new,lon_targeted,lat_targeted,lon_targeted_0,lat_targeted_0)
%
hold on;
m_plot(lon_boat_new,lat_boat_new,'h','markersize',10,...
        'MarkerFaceColor','k','MarkerEdgeColor','k');
    
m_line([lon_boat_new lon_targeted],[lat_boat_new lat_targeted],'LineWidth',2,'color','k');

% m_plot(lon_targeted_0,lat_targeted_0,'h','markersize',10,...
%         'MarkerFaceColor','k','MarkerEdgeColor','k');
end
